
# NAVIGATOR

The NAVIGATOR (NAVatt synthetIc GenerATOR) produces NAVATT ISP files based on EOCFI Orbit and Attitude.

## How to run

From the installation package, run the ```navigator```. This file can be executed from any directory.

```$bash
navigator
  --orbit orbit.xml
  --attitude attitude_def.xml
  --navatt navatt.bin
  --schema MISSION-bandTMISP.xsd
  --start 2019-10-16T00:00:00
  --stop 2019-10-16T00:10:00
  --frequency 8.
  --bias 0.128
  --ssc 123
  --mission mission.json
  --segment 10240
```

The description of available options is shown by running:

```$bash
navigator -h
``` 

The NAVIGATOR version is shown by running:

```$bash
navigator -v
``` 

## Mission Specs

The NAVIGATOR depends on a static configuration file that provides mission specifications
(e.g. description of the NAVATT fields to populate, APID used for NAVATT packets,satellite identifier)
and the DFDL schema that describes the binary packets.

The mission specifications are distributed in the ```missions``` folder of the NAVIGATOR installation package.
